subopt.h File Reference
RNA Secondary Structure Prediction » Enumerating Suboptimal Structures

RNAsubopt and density of states declarations. More...

Include dependency graph for subopt.h:

Go to the source code of this file.

## Data Structures

struct | vrna_subopt_sol_s
| Solution element from subopt.c. More...

## Macros

#define | MAXDOS 1000
| Maximum density of states discretization for subopt.

## Functions

vrna_subopt_solution_t * | vrna_subopt (vrna_fold_compound_t *vc, int delta, int sorted, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
vrna_subopt_solution_t * | vrna_subopt_zuker (vrna_fold_compound_t *vc)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | subopt (char *seq, char *structure, int delta, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
SOLUTION * | subopt_par (char *seq, char *structure, vrna_param_t *parameters, int delta, int is_constrained, int is_circular, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_circ (char *seq, char *sequence, int delta, FILE *fp)
| Returns list of circular subopt structures or writes to fp. More...
SOLUTION * | zukersubopt (const char *string)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | zukersubopt_par (const char *string, vrna_param_t *parameters)
| Compute Zuker type suboptimal structures. More...

## Variables

double | print_energy
| printing threshold for use with logML
int | subopt_sorted
| Sort output by energy.
int | density_of_states [MAXDOS+1]
| The Density of States. More...

## Detailed Description

RNAsubopt and density of states declarations.